Skip to main content
GET
/
endpoints
/
{endpoint_id}
Get Endpoint Status
curl --request GET \
  --url https://external.aieev.cloud:5007/external/api/v1/endpoints/{endpoint_id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://external.aieev.cloud:5007/external/api/v1/endpoints/{endpoint_id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://external.aieev.cloud:5007/external/api/v1/endpoints/{endpoint_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "endpoint_id": "51c910f7-ecde-4c6c-88f8-d8e37ca9d598",
  "name": "aieev-endpoint",
  "endpoint_type": "container",
  "is_active": true,
  "status": "RUNNING",
  "num_replicas": 2,
  "enable_autoscaling": false,
  "instance_type_name": "RTX 5090",
  "serving_endpoint_url": "https://ap-1.aieev.cloud/ac/7/51c910f7-ecde-4c6c-88f8-d8e37ca9d598",
  "replica_status_summary": {
    "RUNNING": 2,
    "STARTING": 0
  },
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Pass your API key as a Bearer token. Create API keys in the project overview.

Path Parameters

endpoint_id
string
required

Unique endpoint ID.

Example:

"51c910f7-ecde-4c6c-88f8-d8e37ca9d598"

Response

Endpoint status.

endpoint_id
string

Unique endpoint ID.

Example:

"51c910f7-ecde-4c6c-88f8-d8e37ca9d598"

name
string

Endpoint name.

Example:

"aieev-endpoint"

endpoint_type
string

Endpoint type.

Example:

"container"

is_active
boolean

Whether the endpoint is active.

Example:

true

status
string

Current status. When active, fetched in real-time from Ray Serve.

Example:

"RUNNING"

num_replicas
integer

Current number of replicas.

Example:

2

enable_autoscaling
boolean

Whether autoscaling is enabled.

Example:

false

instance_type_name
string | null

Instance type name.

Example:

"RTX 5090"

serving_endpoint_url
string | null

Public endpoint URL.

Example:

"https://ap-1.aieev.cloud/ac/7/51c910f7-ecde-4c6c-88f8-d8e37ca9d598"

replica_status_summary
object | null

Replica count by status. Only available when endpoint is active.

Example:
{ "RUNNING": 2, "STARTING": 0 }
created_at
string<date-time>

Creation time.

updated_at
string<date-time>

Last update time.